| Face Engine SDK 4.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IQualityEstimator Struct Referenceabstract

Image quality estimator interface. More...

`#include <IQualityEstimator.h>`

Inheritance diagram for fsdk::IQualityEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &warp, Quality &quality) const noexcept=0
| Estimate the quality. More...
virtual fsdk::Result < fsdk::FSDKError > | estimate (const fsdk::Image &image, fsdk::SubjectiveQuality &quality) const noexcept=0
| Estimate the quality. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Image quality estimator interface.

Note
  This estimator is designed to work with a person face image; you should pass a warped face detection image.

See Also
  IWarper for details. Quality estimator detects the same attributes as all the other estimators:
  - over/under exposure;
  - blurriness;
  - natural/unnatural colors; It is different in the sense that it computes all the estimations at once and returns the results merged somehow into a single value instead of several separate values. This way one can obtain a single scalar quality metric of a person face image. The estimated value is a probability that the image is good for both recognition and viewing purposes.

## Member Function Documentation

virtual Result<FSDKError> fsdk::IQualityEstimator::estimate | ( | const Image & | warp,
|  | Quality & | quality
| ) |  | const
| pure virtual noexcept

Estimate the quality.

Parameters

  [in] | warp | image with warped face. Format must be R8G8B8.
  [out] | quality | output structure with quality params. Complex quality estimation availible by method getQuality.

Returns
  Error code;

See Also
  FSDKError for details.

virtual fsdk::Result<fsdk::FSDKError> fsdk::IQualityEstimator::estimate | ( | const fsdk::Image & | image,
|  | fsdk::SubjectiveQuality & | quality
| ) |  | const
| pure virtual noexcept

Estimate the quality.

Parameters

  [in] | warp | image with warped face. Format must be R8G8B8.
  [out] | quality | output structure with subjective quality params.

Returns
  Error code;

See Also
  FSDKError for details.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IQualityEstimator.h